#ifndef _BTCTL_IMPL
#define _BTCTL_IMPL

#include <libintl.h>
#define _(x) dgettext(GETTEXT_PACKAGE, x)

#include "btctl.h"

void btctl_report_status(Btctl *bc, gint status);
void btctl_got_device(Btctl *bc, gchar *devaddr, guint clsid);
void btctl_got_device_name(Btctl *bc, gchar *devaddr, gchar *name);
void btctl_got_device_service(Btctl *bc, gchar *devaddr,
			      gchar *name, guint classid, guint port);
void btctl_impl_cmd_scan(Btctl *bc);
int btctl_impl_init(void);
void btctl_impl_free(Btctl *bc);
void btctl_impl_list_rfcomm_connections(Btctl *bc);
gint btctl_impl_get_established_rfcomm_connection(Btctl *bc, gchar *bdstr, 
												 guint channel);
gint btctl_impl_establish_rfcomm_connection(Btctl *bc, gchar *bdstr, 
										   guint channel);

#endif
